function getLinkKey(){
	var prefs = Components.classes["@mozilla.org/preferences-service;1"].
		getService(Components.interfaces.nsIPrefBranch);
	return prefs.getIntPref("searchkeys.link.key");
}

function getFindKey() {
	 var prefs = Components.classes["@mozilla.org/preferences-service;1"].
                 getService(Components.interfaces.nsIPrefBranch);
         return prefs.getIntPref("searchkeys.find.key");
}

gFindBar.onBrowserKeyPress = function(evt)
{
  var prefs = Components.classes["@mozilla.org/preferences-service;1"]
  	.getService(Components.interfaces.nsIPrefBranch);
  if (prefs.getBoolPref("searchkeys.disable.all"))
  	return;
  var LINKKEY = getLinkKey();
  var FINDKEY = getFindKey();

  // Check focused elt
  if (!this.shouldFastFind(evt))
    return;

  var findField = document.getElementById("find-field");
  if (this.gFindMode != FIND_NORMAL && this.mQuickFindTimeout) {
    if (!evt.charCode)
      return;
    this.selectFindBar();
    this.focusFindBar();
    this.fireKeypressEvent(findField.inputField, evt);
    evt.preventDefault();
    return;
  }

  if (evt.charCode == LINKKEY || evt.charCode == FINDKEY ||
      (this.mUseTypeAheadFind && evt.charCode && evt.charCode != 32)) {
    var findMode = (evt.charCode == LINKKEY ||
                    (this.mTypeAheadLinksOnly && evt.charCode != FINDKEY))
                   ? FIND_LINKS : FIND_TYPEAHEAD;
    this.setFindMode(findMode);

	 // Clear bar first, so that when openFindBar() calls setCaseSensitivity()
       // it doesn't get confused by a lingering value
       findField.value = "";
 
       try {
         var opened = this.openFindBar(true);
      }
      catch (e) {
         return;
      }    
      if (opened) {
         this.setFindCloseTimeout();
         this.selectFindBar();
         this.focusFindBar();
         if (this.mUseTypeAheadFind &&
             evt.charCode != LINKKEY &&
             evt.charCode != FINDKEY)
           this.fireKeypressEvent(findField.inputField, evt);
         else
           this.updateStatus(Components.interfaces.nsITypeAheadFind.FIND_FOUND, false);
         evt.preventDefault();
       }
       else {
         this.selectFindBar();
         this.focusFindBar();
         if (this.mFindMode != FIND_NORMAL) {
           if (evt.charCode != FINDKEY &&
               evt.charCode != LINKKEY)
             this.fireKeypressEvent(findField.inputField, evt);
           else
             this.updateStatus(Components.interfaces.nsITypeAheadFind.FIND_FOUND, false);
           evt.preventDefault();
         }
       }
     }
  }


